Subject: [Pavel Tsekov <[email-masked]>] Re: gcc newbie question
From: Myriam Abramson <[email-masked]>
To: [email-masked]
Date: 04 Dec 2001 11:46:12 -0500

Subject: Re: gcc newbie question
From: Pavel Tsekov <[email-masked]>
To: Myriam Abramson <[email-masked]>
Date: Tue, 04 Dec 2001 17:39:07 +0100

Myriam Abramson wrote:
> 
> Great! that works now. Thanks *so* much. I am getting a bunch of
> undefined references however. I usually link this program with -lnsl
> and -lsocket but those libraries do not exist so what to do?

try adding -lwsock32  :)

And please post to the list not my personal e-mail - I read
the list and so do many others :)

> 
> > Myriam Abramson wrote:
> > >
> > > Hi!
> > >
> > > I need to make a dll.
> > >
> > > I do
> > > gcc -Wl, shared -o foo.dll foo.o
> >           ^
> >           +-------------+
> > Is this a space here ? -+
> >
> > Remove it! :)
> > >
> > > But I get the following error:
> > >
> > > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/../../../../i686-pc-cygwin/bin/ld: cannot open : No such file or directory
> > > collect2: ld returned 1 exit status
> > >
> > > ld exists in /bin/ld so what's wrong?
> > >
> 
> --
> 
>                                     myriam

-- 

                                    myriam

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/